> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# リスト参照

> ID からリストの詳細を取得したり、ユーザーが所有するリストを取得したりできます

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

List ルックアップエンドポイントを使用すると、リストに関する情報を取得できます。特定のリストをidで指定して取得するか、ユーザーが所有するすべてのリストを取得できます。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="ID 指定" icon="list">
    特定のリストの詳細を取得します
  </Card>

  <Card title="所有者指定" icon="user">
    ユーザーが所有するすべてのリストを取得します
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## エンドポイント
</div>

| Method | Endpoint                                                      | Description     |
| :----- | :------------------------------------------------------------ | :-------------- |
| GET    | [`/2/lists/:id`](/ja/x-api/lists/get-list-by-id)              | ID 指定でリストを取得    |
| GET    | [`/2/users/:id/owned_lists`](/ja/x-api/users/get-owned-lists) | ユーザーが所有するリストを取得 |

***

<div id="response-fields">
  ## レスポンスフィールド
</div>

デフォルトでは、レスポンスには `id` と `name` が含まれます。必要に応じて、以下の追加フィールドをリクエストできます。

| フィールド            | 説明          |
| :--------------- | :---------- |
| `description`    | リストの説明      |
| `owner_id`       | 所有者のユーザーID  |
| `private`        | リストが非公開かどうか |
| `follower_count` | フォロワー数      |
| `member_count`   | メンバー数       |
| `created_at`     | リストの作成日時    |

<div id="example-request">
  ### リクエスト例
</div>

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890?\
list.fields=description,owner_id,member_count,follower_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの [開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の [Project と App](/ja/resources/fundamentals/developer-apps)
  * お使いの App の [キーとトークン](/ja/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="クイックスタート" icon="rocket" href="/ja/x-api/lists/list-lookup/quickstart">
    最初のリストルックアップリクエストを送信する
  </Card>

  <Card title="統合ガイド" icon="book" href="/ja/x-api/lists/list-lookup/integrate">
    主要な概念とベストプラクティス
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/lists/list-lookup-by-list-id">
    エンドポイントの詳細ドキュメント
  </Card>

  <Card title="サンプルコード" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    動作するサンプルコード
  </Card>
</CardGroup>
